package com.yeejoin.amos.patrol.service.remote.feign;

import com.alibaba.fastjson.JSONObject;
import com.yeejoin.amos.patrol.common.core.response.PointCheckInfoBusinessRespone;
import com.yeejoin.amos.patrol.common.entity.CommonResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.util.MultiValueMap;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * 风险系统
 */
@FeignClient(name = "${AmosRisk.fegin.name}", configuration={MultipartSupportConfig.class})
public interface AmosRiskFeign {

    @RequestMapping(value = "/api/risksource/data/patroldata", method = RequestMethod.PUT, consumes= MediaType.APPLICATION_JSON_VALUE)
    CommonResponse checkStatusPushToB(@RequestBody PointCheckInfoBusinessRespone pb);
}
